# Copyright 2024- Le Filament (https://le-filament.com)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html)


from odoo import api, fields, models


class Event(models.Model):
    _inherit = "event.event"

    partner_question_ids = fields.One2many(
        comodel_name="event.partner.question",
        inverse_name="event_id",
        string="Partner Related Questions",
        copy=True,
    )

    # ------------------------------------------------------
    # Default methods
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Computed fields / Search Fields
    # ------------------------------------------------------
    @api.onchange("event_type_id")
    def _onchange_event_type_ids(self):
        self.partner_question_ids = False
        if self.event_type_id and self.event_type_id.partner_question_ids:
            for question in self.event_type_id.partner_question_ids:
                self.partner_question_ids += question.copy({"event_type_id": False})

    # ------------------------------------------------------
    # Onchange / Constraints
    # ------------------------------------------------------

    # ------------------------------------------------------
    # CRUD methods (ORM overrides)
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Actions
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Business methods
    # ------------------------------------------------------
